Zip Code List Files

A CSV file of zip codes imported to populate or update a Zip Code List.

GET /zip_code_list_files

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files

List Zip CSV File records.

Returns Zip CSV File import records, each representing a CSV upload of zip codes into a zip code list.

Params

Param name Description
ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • zip_code_list_id
  • name
  • description
  • import_file_url
  • zip_codes
  • sortable_order
  • zip_codes_count
  • started_at
  • stopped_at
  • succeeded_at
  • failed_at
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

GET /zip_code_list_files/new

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files/new

Build Zip CSV File with defaults.

Returns a Zip CSV File built with default attributes for previewing available fields. It is not saved.

POST /zip_code_list_files

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files

Create Zip CSV File.

Uploads a CSV file of zip codes (import_file) to append to an existing zip code list identified by zip_code_list_id. The file is parsed and imported.

Params

Param name Description
zip_code_list_id
Optional Blank value allowed

Zip Code List

  • Must be a decimal number.

name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

import_file
Optional Blank value allowed

Import File

  • Must be a valid file upload.

GET /zip_code_list_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files/:id

Get Zip CSV File by id.

Returns a single Zip CSV File import by id, including the zip codes it parsed.

PUT /zip_code_list_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files/:id

Update Zip CSV File by id.

Updates a Zip CSV File import's name, description, or associated zip code list.

Params

Param name Description
zip_code_list_id
Optional Blank value allowed

Zip Code List

  • Must be a decimal number.

name
Optional Blank value allowed

Name

  • Must be a String

description
Optional Blank value allowed

Description

  • Must be a String

import_file
Optional Blank value allowed

Import File

  • Must be a valid file upload.

DELETE /zip_code_list_files/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/zip_code_list_files/:id

Destroy Zip CSV File by id.

Permanently deletes a Zip CSV File import record, along with the zip codes it added to the zip code list.